.TH XNET 1 "Release 6" "X Version 11"
.SH NAME
xnet \- network load average display for X
.SH SYNOPSIS
.ta 6n
\fBxnet\fP	[-\fItoolkitoption\fP ...] [-scale \fIinteger\fP]
.br 
      [-minscale \fIinteger\fP] [-update \fIseconds\fP] [-hl \fIcolor\fP]
.br
      [-highlight \fIcolor\fP] [-jumpscroll \fIpixels\fP] 
.br
      [-label \fIstring\fP] [-nolabel] [-interface \fIstring\fP]
.SH DESCRIPTION
The 
.I xnet 
program displays a periodically updating histogram of the network load average.
.SH OPTIONS
.PP
.I Xnet
accepts all of the standard X Toolkit command line options (see \fIX(1)\fP).
The order of the options is unimportant.  \fIxnet also accepts the
following additional options:
.PP
.TP 8
.B \-hl \fIcolor\fP or \-highlight \fIcolor\fP
This option specifies the color of the scale lines.  
.TP 8
.B \-jumpscroll \fPnumber of pixels\fP
The number of pixels to shift the graph to the left when the graph
reaches the right edge of the window.  The default value is 1/2 the width
of the current window.  Smooth scrolling can be achieved by setting it to 1.
.TP 8
.B \-label \fIstring\fP
The string to put into the label above the load average.
.TP 8
.B \-nolabel
If this command line option is specified then no label will be
displayed above the load graph.
.TP 8
.B \-scale \fIinteger\fP
This is an integer scaling factor used to bring the histogram plot down to
something near reasonable.  The default is 10, which is the same as the
number of seconds between updating the graph.  This gives you an average of
the number of packets per second.  (I think...)
.TP 8
.B \-minscale \fIinteger\fP
This option specifies the minimum number of tick marks in the histogram,
where one division represents one load average point.  If the load goes
above this number, \fIxnet\fP will create more divisions, but it will never
use fewer than this number.  The default is 1.
.PP
.TP 8
.B \-update \fIseconds\fP
This option specifies the interval in seconds at which \fIxnet\fP
updates its display.  The minimum amount of time allowed between updates
is 1 second.  The default is 10.
.B \-interface \fIstring\fP
This is the device interface to watch.  The default is eth0.
.SH RESOURCES
In addition to the resources available to each of the widgets used by 
\fIxnet\fP there is one resource defined by the application itself.
.TP 8
.B showLabel (\fPclass\fB Boolean)
If False then no label will be displayed.
.TP 8
.B interface (\fPclass\fB String)
The device to watch, defaults to eth0.
.TP 8
.B scale (\fPclass\fB Int)
Scaling factor to use on the histogram data.  The default is the same as the
update resource, which is 10.
.SH WIDGETS
In order to specify resources, it is useful to know the hierarchy of
the widgets which compose \fIxnet\fR.  In the notation below,
indentation indicates hierarchical structure.  The widget class name
is given first, followed by the widget instance name.
.sp
.nf
.ta .5i 1.0i 1.5i 2.0i
XNet  xnet
	Paned  paned
		Label  label
		StripChart  net
.fi
.sp
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH FILES
<XRoot>/lib/X11/app-defaults/XNet - specifies required resources
.SH SEE ALSO
xload(1), X(1), xrdb(1), mem(4), Athena StripChart Widget.
.SH BUGS
This program requires the ability to open and read the special system
file \fI/proc/net/dev\fP.  This hinders the portability of xnet, although
future revisions may overcome this limitation.
.PP
.SH COPYRIGHT
Copyright GNU General Public License
.SH AUTHOR
Michael Peek
.SH Based on XLOAD by
K. Shane Hartman (MIT-LCS) and Stuart A. Malone (MIT-LCS);
.br
with features added by Jim Gettys (MIT-Athena), Bob Scheifler (MIT-LCS),
Tony Della Fera (MIT-Athena), and Chris Peterson (MIT-LCS).
